Bug 613592 - SELinux is preventing /opt/teamviewer/teamviewer/5/wine/bin/wine-preloader from loading /opt/teamviewer/teamviewer/5/wine/lib/wine/mpr.dll.so which requires text relocation.
SELinux is preventing /opt/teamviewer/teamviewer/5/wine/bin/wine-preloader fr...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:0e47ed5c33e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-12 07:21 EDT by Bishnu Marasini
Modified: 2010-07-12 12:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-12 12:45:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bishnu Marasini 2010-07-12 07:21:39 EDT
Summary:

SELinux is preventing /opt/teamviewer/teamviewer/5/wine/bin/wine-preloader from
loading /opt/teamviewer/teamviewer/5/wine/lib/wine/mpr.dll.so which requires
text relocation.

Detailed Description:

The wineboot.exe application attempted to load
/opt/teamviewer/teamviewer/5/wine/lib/wine/mpr.dll.so which requires text
relocation. This is a potential security problem. Most libraries do not need
this permission. Libraries are sometimes coded incorrectly and request this
permission. The SELinux Memory Protection Tests
(http://people.redhat.com/drepper/selinux-mem.html) web page explains how to
remove this requirement. You can configure SELinux temporarily to allow
/opt/teamviewer/teamviewer/5/wine/lib/wine/mpr.dll.so to use relocation as a
workaround, until the library is fixed. Please file a bug report.

Allowing Access:

If you trust /opt/teamviewer/teamviewer/5/wine/lib/wine/mpr.dll.so to run
correctly, you can change the file context to textrel_shlib_t. "chcon -t
textrel_shlib_t '/opt/teamviewer/teamviewer/5/wine/lib/wine/mpr.dll.so'" You
must also change the default file context files on the system in order to
preserve them even on a full relabel. "semanage fcontext -a -t textrel_shlib_t
'/opt/teamviewer/teamviewer/5/wine/lib/wine/mpr.dll.so'"

Fix Command:

chcon -t textrel_shlib_t '/opt/teamviewer/teamviewer/5/wine/lib/wine/mpr.dll.so'

Additional Information:

Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Context                system_u:object_r:lib_t:s0
Target Objects                /opt/teamviewer/teamviewer/5/wine/lib/wine/mpr.dll
                              .so [ file ]
Source                        wineboot.exe
Source Path                   /opt/teamviewer/teamviewer/5/wine/bin/wine-
                              preloader
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           teamviewer5-5.0-1
Target RPM Packages           teamviewer5-5.0-1
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   allow_execmod
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.32.14-127.fc12.i686.PAE #1 SMP Fri May 28
                              04:47:04 UTC 2010 i686 i686
Alert Count                   6
First Seen                    Thu 01 Jul 2010 08:33:53 PM PKST
Last Seen                     Fri 02 Jul 2010 12:38:27 PM PKST
Local ID                      ed7c1b0c-63f1-4b65-b1f7-987b89dc1a48
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1278052707.654:140): avc:  denied  { execmod } for  pid=4573 comm="wineboot.exe" path="/opt/teamviewer/teamviewer/5/wine/lib/wine/mpr.dll.so" dev=sda3 ino=526481 scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lib_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1278052707.654:140): arch=40000003 syscall=125 success=no exit=-13 a0=3926d000 a1=1000 a2=7 a3=3926d000 items=0 ppid=1 pid=4573 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="wineboot.exe" exe="/opt/teamviewer/teamviewer/5/wine/bin/wine-preloader" subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,allow_execmod,wineboot.exe,unconfined_t,lib_t,file,execmod
audit2allow suggests:

#============= unconfined_t ==============
allow unconfined_t lib_t:file execmod;
Comment 1 Miroslav Grepl 2010-07-12 12:45:46 EDT
Please update your system

yum update

and then either execute the chcon command or remove the check

# setsebool -P allow_execmod 1

Note You need to log in before you can comment on or make changes to this bug.